package es.uva.tfg.geolocalizationgame.exceptions;

/**
 * Clase de excepcion cuando no existe la amistad.
 * 
 * @author Cristina Gomez Escribano
 * @since 29/11/2018
 * @version 1.0
 * 
 */
public class AmistadNotFoundException extends Exception {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	public static final String DESCRIPTION = "La relacion de amistad no existe";
	public static final int CODE = 119;

	public AmistadNotFoundException() {
		this("");
	}

	public AmistadNotFoundException(String detail) {
		super(DESCRIPTION + ". " + detail + ". CODE: " + CODE);
	}
}
