package es.uva.tfg.geolocalizationgame.exceptions;

/**
 * Clase de excepcion cuando el punto geografico no esta en el juego.
 * 
 * @author Cristina Gomez Escribano
 * @since 29/11/2018
 * @version 1.0
 * 
 */
public class PuntoGeograficoNotInGameException extends Exception {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	public static final String DESCRIPTION = "El punto geografico no existe en el juego seleccionado";
	public static final int CODE = 130;

	public PuntoGeograficoNotInGameException() {
		this("");
	}

	public PuntoGeograficoNotInGameException(String detail) {
		super(DESCRIPTION + ". " + detail + ". CODE: " + CODE);
	}
}
