package es.uva.tfg.geolocalizationgame.exceptions;

/**
 * Clase de excepcion cuando el usuario no es el creador del juego.
 * 
 * @author Cristina Gomez Escribano
 * @since 29/11/2018
 * @version 1.0
 * 
 */
public class UserNotCreatorOfJuegoException extends Exception {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	public static final String DESCRIPTION = "El usuario no es el creado del juego";
	public static final int CODE = 124;

	public UserNotCreatorOfJuegoException() {
		this("");
	}

	public UserNotCreatorOfJuegoException(String detail) {
		super(DESCRIPTION + ". " + detail + ". CODE: " + CODE);
	}
}
