package es.uva.tfg.geolocalizationgame.exceptions;

/**
 * Clase de excepcion cuando no existe el usuario.
 * 
 * @author Cristina Gomez Escribano
 * @since 29/11/2018
 * @version 1.0
 * 
 */
public class UserNotFoundException extends Exception {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	public static final String DESCRIPTION = "Usuario no encontrado";
	public static final int CODE = 111;

	public UserNotFoundException() {
		this("");
	}

	public UserNotFoundException(String detail) {
		super(DESCRIPTION + ". " +detail +". CODE: " + CODE);
	}
}
