package es.uva.tfg.geolocalizationgame.exceptions;

/**
 * Clase de excepcion cuando la password no coincide con la almacenada.
 * 
 * @author Cristina Gomez Escribano
 * @since 29/11/2018
 * @version 1.0
 * 
 */
public class UserPassException extends Exception {
	private static final long serialVersionUID = 1L;

	public static final String DESCRIPTION = "La password actual no es igual a la recibida";
	public static final int CODE = 114;

	public UserPassException() {
		this("");
	}

	public UserPassException(String detail) {
		super(DESCRIPTION + ". " +detail +". CODE: " + CODE);
	}
}
