package es.uva.tfg.geolocalizationgame.services;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import es.uva.tfg.geolocalizationgame.persistence.TipoPuntoRepository;
import es.uva.tfg.geolocalizationgame.resources.TipoPunto;

/**
 * Implementacion del servicio para la entidad TipoPunto.
 * 
 * @author Cristina Gómez Escribano
 * @since 02/11/2018
 * @version 1.0
 *
 */
@Service
public class TipoPuntoServiceImpl implements TipoPuntoService {

	@Autowired
	private TipoPuntoRepository tipoPuntoRepository;
	
	@Override
	public TipoPunto obtenerTipoPuntoByNombre(String tipoPunto) {
		return tipoPuntoRepository.obtenerTipoPuntoByNombre(tipoPunto);
	}

}
