app.controller('RegistroController', function($scope, $rootScope, $location, UserService) {
	scrollToTopNoAnimated();
	$rootScope.portada=false;
	$scope.patternName = /^[a-zA-ZäÄëËïÏöÖüÜáéíóúáéíóúÁÉÍÓÚÂÊÎÔÛâêîôûàèìòùÀÈÌÒÙñÑ ]*$/;
	$scope.patternUserName = /^[a-zA-ZñÑ0-9]*$/;
	UserService.userRegister = false;
	$scope.register = false;
	
	$scope.register = function() {
		UserService.registerUser($scope.user)
			.then(function success (data) {
				// ruta
				$location.path('/login');
				$scope.errorRegistro = false;
				$scope.userExist=false;
				UserService.userRegister = true;
				return true;
		}, function error(error) {
			// ruta
			$location.path('/register');
			if (error.data.error == "UserExistException") {
				$scope.userExist = true;
				$scope.errorRegistro = false;
			} else {
				$scope.errorRegistro = true;
				$scope.userExist = false;
			}
			UserService.userRegister = false;
			return false;
		});
	};
});