/**
 * 
 */
app.controller('ListaAmigosController', function($rootScope, $scope, $location, UserService) {
	scrollToTopNoAnimated();
	$scope.loginUsuario=undefined;
	$rootScope.portada=false;
	/**
	 * Abrir el perfil del usuario seleccionado
	 */
	$scope.openUser = function (usuario) {
		
		if(usuario.login){//tengo usuario seleccionado
			$location.path("/home/users/"+usuario.login);
		}
	};
	
	/**
	 * Para mostrar los datos del usuario de la solicitud en el modal
	 */
	$("#confirmationDeleteAmigoModal").on("show.bs.modal", function(e){
		var nombreEmisor=$(e.relatedTarget).data().nombre;
		$scope.loginUsuario=$(e.relatedTarget).data().login;
		$(e.currentTarget).find(".nombreUser").text(nombreEmisor);
	});
	
	/**
	 * Eliminar el usuario seleccionado al salir del modal
	 */
	$("#confirmationDeleteAmigoModal").on("hidden.bs.modal", function(e){
		$scope.loginUsuario="";
	});
	
	$scope.eliminarAmigo = function() {
		UserService.updateAmigosUser($rootScope.user.login, $scope.loginUsuario, false)
		.then(function success(response){
			obtenerAmigos();
			$scope.eliminarAmigoOk=true;
			$scope.eliminarAmigoKo=false;
			scrollToTop();
		},function error(error){
			$scope.eliminarAmigoOk=false;
			$scope.eliminarAmigoKo=true;
			scrollToTop();
		});
	
	}
	
	function obtenerAmigos() {
		UserService.getAmigos($rootScope.user.login).then(
			function success(response) {
				$rootScope.user.amigos = response;
			}, function error(error) {
				$rootScope.user.amigos = {};
			});
	}
	;
});
