package es.uva.tfg.geolocalizationgame.exceptions;

/**
 * Clase de excepcion cuando existe el punto geografico.
 * 
 * @author Cristina Gomez Escribano
 * @since 29/11/2018
 * @version 1.0
 * 
 */
public class PuntoGeograficoExistException extends Exception {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	public static final String DESCRIPTION = "El punto ya existe en el juego";
	public static final int CODE = 132;

	public PuntoGeograficoExistException() {
		this("");
	}

	public PuntoGeograficoExistException(String detail) {
		super(DESCRIPTION + ". " + detail + ". CODE: " + CODE);
	}
}
