package es.uva.tfg.geolocalizationgame.exceptions;

/**
 * Clase de excepcion cuando el punto geografico es el ultimo del juego.
 * 
 * @author Cristina Gomez Escribano
 * @since 29/11/2018
 * @version 1.0
 * 
 */
public class PuntoGeograficoIsLastException extends Exception {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	public static final String DESCRIPTION = "Es el ultimo punto geografico del juego";
	public static final int CODE = 131;

	public PuntoGeograficoIsLastException() {
		this("");
	}

	public PuntoGeograficoIsLastException(String detail) {
		super(DESCRIPTION + ". " + detail + ". CODE: " + CODE);
	}
}
