package es.uva.tfg.geolocalizationgame.persistence;

import java.io.Serializable;

import org.springframework.data.jpa.repository.JpaRepository;

import es.uva.tfg.geolocalizationgame.resources.Partida;

/**
 * Implementa la clase de persistencia para la entidad Partida.
 * 
 * @author Cristina Gomez Escribano
 * @since 28/11/2018
 * @version 1.0
 *
 */
public interface PartidaRepository extends JpaRepository<Partida, Serializable> {

}
