package es.uva.tfg.geolocalizationgame.services;

import es.uva.tfg.geolocalizationgame.resources.EstadoSolicitudAmistad;

/**
 * Reprensenta la interfaz de servicio para la entidad EstadoSolicitudAmistad
 * 
 * @author Cristina Gomez Escribano
 * @version 1.0
 * @since 27/01/2019
 *
 */
public interface EstadoSolicitudAmistadService {
	
	/**
	 * Devuelve un EstadoSolicitudAmistad por nombre.
	 * @param nombre
	 * @return EstadoSolicitudAmistad
	 */
	EstadoSolicitudAmistad obtenerEstadoByNombre(String nombre);
}
