package es.uva.tfg.geolocalizationgame.services;

import es.uva.tfg.geolocalizationgame.resources.NivelDificultad;

/**
 * Interface de servicio para la entidad NivelDificultad.
 * 
 * @author Cristina Gomez Escribano
 * @since 29/11/2018
 * @version 1.0
 */
public interface NivelDificultadService {

	/**
	 * Devuelve el nivel de dificultad obtenido por nombre.
	 * 
	 * @param nombre
	 * @return NivelDificultad
	 */
	NivelDificultad obtenerNivelDificultadByNombre(String nombre);
}
