package es.uva.tfg.geolocalizationgame.services;

import java.util.List;

import es.uva.tfg.geolocalizationgame.resources.TipoLogro;

/**
 * Servicio para la entidad Tipo Logro
 * 
 * @author Cristina Gómez Escribano
 * @since 16/09/2018
 * @version 1.0
 *
 */
public interface TipoLogroService {

	TipoLogro obtenerTipoLogroById(Integer idLogro);

	/**
	 * Devuelve la lista de tipos de logro de los que se disponen.
	 * 
	 * @return List<Logro>
	 */
	List<TipoLogro> obtenerLogros();

}
