package es.uva.tfg.geolocalizationgame.services;

import es.uva.tfg.geolocalizationgame.resources.TipoPunto;

/**
 * Interfaz del servicio para la entidad TipoPunto.
 * 
 * @author Cristina Gómez Escribano
 * @since 02/11/2018
 * @version 1.0
 *
 */
public interface TipoPuntoService {

	/**
	 * Devuelve un tipo de punto por nombre.
	 * 
	 * @param tipoPunto
	 * @return
	 */
	TipoPunto obtenerTipoPuntoByNombre(String tipoPunto);

}
