app.service("PartidaService", function($http, $q) {
	
	var partida = undefined;
	var partidas = undefined;
	
	
	this.postPartida = function(idJuego, partida) {
		var defered = $q.defer();
		var promise = defered.promise;
		$http.post("/juegos/"+idJuego+"/partidas",{
			puntuacion:partida.puntuacion,
			modalidadJuego:{
				modalidad:partida.modoJuego
			},
			nivelDificultad:{
				nivelDificultad:partida.nivelJuego
			},
			puntosAcertados:partida.aciertos,
			puntosFallados:partida.fallos
		})
		.then(function(response) {
			partida = response.data;
			defered.resolve(partida);
		}, function error(error) {
			defered.reject(error);
		});
		return promise;
	}
	
});