app.service("LogroService", function($http, $q) {
	
	var logroUpdate=undefined;
	var logros=undefined;
	
	this.putLogro = function(usuario, idLogro, visibilidad) {
		var defered = $q.defer();
		var promise = defered.promise;
		$http.put("/usuarios/"+usuario+"/logros/"+idLogro+"?visibilidad="+visibilidad)
		.then(function(response) {
			logroUpdate = response.data;
			defered.resolve(logroUpdate);
		},
			function error(error) {
				defered.reject(error);
			});

		return promise;
	};
	
	this.getLogrosNuevos = function(usuario) {
		var defered = $q.defer();
		var promise = defered.promise;
		$http.get("/usuarios/"+usuario+"/logros/logrosNuevos")
		.then(function(response) {
			logros = response.data;
			defered.resolve(logros);
		},
			function error(error) {
				defered.reject(error);
			});

		return promise;
	};
	
	this.getLogros = function(){
		return logros;
	};
	
	this.getLogroUpdate=function(){
		return logroUpdate;
	};
});