app.service("MapaService", function($http, $q) {
	
	var resultado=undefined;
	
	this.obtenerDirecciones = function(textSearch){
		var defered = $q.defer();
		var promise = defered.promise;
		$http.get('https://nominatim.openstreetmap.org/search?format=json&limit=1&q=' + textSearch)
		.then(function(response){
			resultado=response.data;
			defered.resolve(resultado);
		}, function error(error){
			defered.reject(error);
		});
		return promise;
	};
});